> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Org Time Tracking Summary

> Returns time-tracking dashboard stats and a severity-sorted list of unapproved periods with issues.

Required scope: `time:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-org-time-tracking-summary
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-org-time-tracking-summary:
    get:
      operationId: getOrgTimeTrackingSummary
      summary: Get Org Time Tracking Summary
      x-toku-required-scope: time:read
      description: >-
        Returns time-tracking dashboard stats and a severity-sorted list of
        unapproved periods with issues.


        Required scope: `time:read`
      parameters:
        - name: countryCode
          in: query
          required: false
          schema:
            type: string
            enum:
              - ABW
              - AFG
              - AGO
              - AIA
              - ALA
              - ALB
              - AND
              - ARE
              - ARG
              - ARM
              - ASM
              - ATA
              - ATF
              - ATG
              - AUS
              - AUT
              - AZE
              - BDI
              - BEL
              - BEN
              - BES
              - BFA
              - BGD
              - BGR
              - BHR
              - BHS
              - BIH
              - BLR
              - BLZ
              - BMU
              - BOL
              - BRA
              - BRB
              - BRN
              - BTN
              - BVT
              - BWA
              - CAF
              - CAN
              - CCK
              - CHE
              - CHL
              - CHN
              - CIV
              - CMR
              - COD
              - COG
              - COK
              - COL
              - COM
              - CPV
              - CRI
              - CUB
              - CUW
              - CXR
              - CYM
              - CYP
              - CZE
              - DEU
              - DJI
              - DMA
              - DNK
              - DOM
              - DZA
              - ECU
              - EGY
              - ERI
              - ESH
              - ESP
              - EST
              - ETH
              - FIN
              - FJI
              - FLK
              - FRA
              - FRO
              - FSM
              - GAB
              - GBR
              - GEO
              - GGY
              - GHA
              - GIB
              - GIN
              - GLP
              - GMB
              - GNB
              - GNQ
              - GRC
              - GRD
              - GRL
              - GTM
              - GUF
              - GUM
              - GUY
              - HKG
              - HMD
              - HND
              - HRV
              - HTI
              - HUN
              - IDN
              - IMN
              - IND
              - IOT
              - IRL
              - IRN
              - IRQ
              - ISL
              - ISR
              - ITA
              - JAM
              - JEY
              - JOR
              - JPN
              - KAZ
              - KEN
              - KGZ
              - KHM
              - KIR
              - KNA
              - KOR
              - KWT
              - LAO
              - LBN
              - LBR
              - LBY
              - LCA
              - LIE
              - LKA
              - LSO
              - LTU
              - LUX
              - LVA
              - MAC
              - MAF
              - MAR
              - MCO
              - MDA
              - MDG
              - MDV
              - MEX
              - MHL
              - MKD
              - MLI
              - MLT
              - MMR
              - MNE
              - MNG
              - MNP
              - MOZ
              - MRT
              - MSR
              - MTQ
              - MUS
              - MWI
              - MYS
              - MYT
              - NAM
              - NCL
              - NER
              - NFK
              - NGA
              - NIC
              - NIU
              - NLD
              - NOR
              - NPL
              - NRU
              - NZL
              - OMN
              - PAK
              - PAN
              - PCN
              - PER
              - PHL
              - PLW
              - PNG
              - POL
              - PRI
              - PRK
              - PRT
              - PRY
              - PSE
              - PYF
              - QAT
              - REU
              - ROU
              - RUS
              - RWA
              - SAU
              - SDN
              - SEN
              - SGP
              - SGS
              - SHN
              - SJM
              - SLB
              - SLE
              - SLV
              - SMR
              - SOM
              - SPM
              - SRB
              - SSD
              - STP
              - SUR
              - SVK
              - SVN
              - SWE
              - SWZ
              - SXM
              - SYC
              - SYR
              - TCA
              - TCD
              - TGO
              - THA
              - TJK
              - TKL
              - TKM
              - TLS
              - TON
              - TTO
              - TUN
              - TUR
              - TUV
              - TWN
              - TZA
              - UGA
              - UKR
              - UMI
              - URY
              - USA
              - UZB
              - VAT
              - VCT
              - VEN
              - VGB
              - VIR
              - VNM
              - VUT
              - WLF
              - WSM
              - YEM
              - ZAF
              - ZMB
              - ZWE
        - name: ruleType
          in: query
          required: false
          schema:
            type: string
            enum:
              - MAX_DAILY_HOURS
              - MAX_WEEKLY_HOURS
              - MIN_DAILY_REST
              - MIN_WEEKLY_REST
              - BREAK_REQUIRED
              - BREAK_TOO_SHORT
              - MISSING_ENTRY
        - name: severity
          in: query
          required: false
          schema:
            type: string
            enum:
              - COMPLIANT
              - WARNING
              - VIOLATION
        - name: issueLimit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 200
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOrgTimeTrackingSummaryResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetOrgTimeTrackingSummaryResponse:
      type: object
      properties:
        stats:
          type: object
          properties:
            clockedInNow:
              type: number
            pendingApprovalCount:
              type: number
            minutesLoggedThisWeek:
              type: number
            overtimeMinutesThisWeek:
              type: number
            activeIssueCount:
              type: number
            untrackedRequiredCount:
              type: number
            overdueSignoffCount:
              type: number
          required:
            - pendingApprovalCount
            - minutesLoggedThisWeek
            - overtimeMinutesThisWeek
            - activeIssueCount
            - untrackedRequiredCount
            - overdueSignoffCount
        issues:
          type: array
          items:
            type: object
            properties:
              timesheetPeriodID:
                type: string
              roleInOrgID:
                type: string
              employeeName:
                type: string
              countryCode:
                type:
                  - string
                  - 'null'
              periodStart:
                type: string
              periodEnd:
                type: string
              status:
                type: string
              severity:
                type: string
              findings:
                type: array
                items:
                  type: object
                  properties:
                    ruleType:
                      type: string
                    status:
                      type: string
                    workDate:
                      type:
                        - string
                        - 'null'
                    message:
                      type: string
                  required:
                    - ruleType
                    - status
                    - workDate
                    - message
            required:
              - timesheetPeriodID
              - roleInOrgID
              - employeeName
              - countryCode
              - periodStart
              - periodEnd
              - status
              - severity
              - findings
      required:
        - stats
        - issues
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
